> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rag Index Overview.

> Provides total size and other information of RAG indexes used by knowledgebase documents



## OpenAPI

````yaml https://api.threetone.in/openapi.json get /v1/voiceai/knowledge-base/rag-index
openapi: 3.1.0
info:
  title: Threetone API Documentation
  version: 1.0.0
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/voiceai/knowledge-base/rag-index:
    get:
      tags:
        - Knowledge Base
      summary: Get Rag Index Overview.
      description: >-
        Provides total size and other information of RAG indexes used by
        knowledgebase documents
      operationId: get_rag_index_overview
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RAGIndexOverviewResponseModel'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    RAGIndexOverviewResponseModel:
      properties:
        total_used_bytes:
          type: integer
          title: Total Used Bytes
          description: Total bytes used
        total_max_bytes:
          type: integer
          title: Total Max Bytes
          description: Maximum bytes allowed
        models:
          items:
            $ref: '#/components/schemas/RAGIndexOverviewEmbeddingModelResponseModel'
          type: array
          title: Models
          description: Usage per model
      type: object
      required:
        - total_used_bytes
        - total_max_bytes
        - models
      title: RAGIndexOverviewResponseModel
      description: |-
        Response model for GET /rag-index endpoint.
        Provides total size and other information of RAG indexes.
    RAGIndexOverviewEmbeddingModelResponseModel:
      properties:
        model:
          $ref: >-
            #/components/schemas/app__domains__knowledge_base__schemas__EmbeddingModelEnum
          description: Embedding model
        used_bytes:
          type: integer
          title: Used Bytes
          description: Bytes used
      type: object
      required:
        - model
        - used_bytes
      title: RAGIndexOverviewEmbeddingModelResponseModel
      description: Usage summary per embedding model
    app__domains__knowledge_base__schemas__EmbeddingModelEnum:
      type: string
      enum:
        - e5_mistral_7b_instruct
        - multilingual_e5_large_instruct
        - gemini-embedding-001
      title: EmbeddingModelEnum
      description: Embedding model used for RAG indexing
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: API key for programmatic access
      in: header
      name: x-api-key
    HTTPBearer:
      type: http
      description: JWT Bearer token for dashboard access
      scheme: bearer

````